import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class ContainerListener extends Applet 
	implements ActionListener {//注意这一行

	TextField tf = new TextField(20);
	Button bt = new Button("OK");
	int k=0;
	
	//实现了ActionListener接口中的方法。
	public void actionPerformed(ActionEvent e){
		if (k==0){
			tf.setText("Hello");//可以访问tf组件。
			k=1;
		}
		else{
			tf.setText("World");
			k=0;
		}
	}
			
	public void init(){
		add(tf);//向容器 applet中添加组件。
	
		//bt按钮为事件源，注册监听器对象。
		bt.addActionListener(this);//容器自身作为监听器类。
		add(bt);//向容器中添加组件
	}
	
}
/*
 <Applet code="ContainerListener" width="300" height="300">
 </Applet>
 */
